Subject: LRO: Re: LRO Mailing List DIGEST * * * * V1 #368

From: [email-masked]
Date: Sun, 6 May 2001 14:24:45 EDT

In a message dated 5/6/2001 6:35:03 AM US Mountain Standard Time, 
[email-masked] writes:

> 
>  Date: Sun, 06 May 2001 07:41:28 -0500
>  From: car4doc <[email-masked]>
>  Subject: Re: LRO:  skytop? 
>  
>  Jeremy,
>   I made the mistake & purchased a LR from Skytop.  I tell you DON'T do
>  it.  Or at the very least careful dealing with him. ( get everything in
>  writing)  He will tell you what you want to hear or imply answers to
>  your straight forward questions about the LR you are looking at.  I
>  don't consider this to be honest, & that was before the broken
>  promises.  disspite of these hard feelings he still used my purchase as
>  a reference on his web page.
>  Good luck  LR hunting.
>  Rob Davis Chicago

A friend of mine had a similar experience, be very careful here.  The biggest 
problem seams to arise if you can't inspect the vehicle first hand.  Don't 
take anything for granted, including the seller's representation on 
condition.  Once the transaction is completed recourse is very difficult to 
achieve.  I think the prices are too high for the general condition of the 
vehicle that I saw after my friend took delivery of it.  I was considering 
purchasing one from him, decided against it, afterwards.

YMMV,

Bob Sharp
Tucson, AZ
The slumbering herd on the Rover Ranch:
52 Series I 80"
53 Series I 80"
60 Series II 88"
63 Series IIa 88"
71 Series IIa 109"
96 Discovery Series I 

"Why is it that every project you complete on a Land Rover results in 
knowledge and skills you hope you never need to use again?"